# QwtPickerDragPointMachine Class Reference

A state machine for point selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerDragPointMachine:

[legend]

List of all members.

## Public Member Functions

virtual CommandList | transition (const QwtEventPattern &, const QEvent *)

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection, releasing QwtEventPattern::MouseSelect1 or a second press of QwtEventPattern::KeySelect1 terminates it.

## Member Function Documentation

QwtPickerMachine::CommandList QwtPickerDragPointMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | e |
| ) |  |  | `[virtual]`

Transition.

Implements QwtPickerMachine.